2018-12-18 23:26 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000174Branch 0.2.1-FINALBugpublic2016-11-23 10:04
ReporterQuix0r 
Assigned ToQuix0r 
PriorityhighSeveritytweakReproducibilityalways
StatusclosedResolutionsuspended 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000174: PHP-Funktionen die "Deprecated" sind zu vermeiden
DescriptionMit der aktuellen PHP 5.3.1-Version scheinen viele Funktionen als "Deprecated" (fuer veraltet erklaert) markiert worden zu sein, was ein E_DEPRECATED ausloest.

Diese sollen nun auch in 0.2.1-FINAL vermieden werden. Die folgenden Funktionen sind bereits vermieden:
- session_register (wird nur bei aelteren PHP-Versionen verwendet)
- session_unregister (wird nur bei aelteren PHP-Versionen verwendet)
- ereg (Ersatz: preg_match() oder isInString(), da die Reihenfolge von strpos() umgedreht ist :( )
- eregi (Ersatz: preg_match() mit ignorieren der Gross-Kleinschreibung, oder isInStringIgnoreCase())

Bitte weitere Vorkommennisse hier tracken!
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000553

Quix0r (administrator)

Kommt mit neuster PHP-Version schon laenger nicht mehr, daher geht das Ticket erstmal auf "erledigt".

~0000648

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2010-03-02 16:07 Quix0r New Issue
2010-03-02 16:07 Quix0r Status new => assigned
2010-03-02 16:07 Quix0r Assigned To => Quix0r
2010-03-02 16:07 Quix0r Projection none => minor fix
2010-03-02 16:07 Quix0r ETA none => < 1 day
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:40 Quix0r Product Version => 0.2.1-FINAL
2010-08-25 20:31 Quix0r Sticky Issue No => Yes
2012-06-15 18:36 Quix0r Summary PHP-Funktionen die "Deprecated" sind vermeiden => PHP-Funktionen die "Deprecated" sind zu vermeiden
2012-06-15 18:37 Quix0r Note Added: 0000553
2012-06-15 18:37 Quix0r Status assigned => resolved
2012-06-15 18:37 Quix0r Fixed in Version => 0.2.1-FINAL
2012-06-15 18:37 Quix0r Resolution open => suspended
2016-11-23 10:04 Quix0r Status resolved => closed
2016-11-23 10:04 Quix0r Note Added: 0000648
+Issue History